Conversion & Processing¶
Endpoints related to conversion & processing.
- GET /volume/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The build requested cannot be found
- POST /merge/¶
Create a new merge.
Create a new merge.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested layout cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /merge/{uuid}/¶
Get a single merge by uuid.
Get a single merge by uuid.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested layout cannot be found.
- GET /expert-conversion/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /expert-conversion/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /expert-conversion/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /expert-conversion/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- GET /point-cloud/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The point cloud, or the run it is for, cannot be found in your bureau.
400 Bad Request – Another point cloud was uploaded to this run at the same time.
- POST /point-cloud/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The point cloud, or the run it is for, cannot be found in your bureau.
400 Bad Request – Another point cloud was uploaded to this run at the same time.
- Response Headers:
Location – URI of the created resource
- GET /point-cloud/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The point cloud, or the run it is for, cannot be found in your bureau.
400 Bad Request – Another point cloud was uploaded to this run at the same time.
- DELETE /point-cloud/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The point cloud, or the run it is for, cannot be found in your bureau.
400 Bad Request – Another point cloud was uploaded to this run at the same time.
- GET /zverse-conversion/¶
HTTPS GET with no UUID does a list of available resources
HTTPS GET with no UUID does a list of available resources
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /zverse-conversion/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /zverse-conversion/{uuid}/¶
generic get one resource by exact UUID
generic get one resource by exact UUID
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /zverse-conversion/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.